<HTML>
<HEAD>
<TITLE>NPAPI CloudFS Test</TITLE>
<script>
var embed1;
var filename;
function init() {
  embed1 = document.getElementById('embed1');
  filename = document.getElementById('filename');
}
</script>
</HEAD>
<BODY id="bodyId" onload="init()">

<h1>Native Client NPAPI CloudFS Test</h1>

This is a simple test/demonstration of how to use NPAPI to access a
URL like a file from within a NaCl module. Much of the test is NPAPI
boilerplate; have a look at native_client/tests/cloudfs/plugin.cc for
the calls to NaClNPN_OpenURL, Notify, read and close.
<P>
Note that due to same-origin browsing constraints you can only look at
files accessible using a URL with the same (protocol,host,port)
triple as that used to access this page
(native_client/scons-out/nacl/staging in the Native Client
distribution).  Also, for our research release, the only place that a
NaCl module is allowed to load from is using the http protocol, from
the localhost.  Suggestions: index.html, cloudfs.html, srcperf.html,
mandel_tiled.html, http://localhost:5103/.

This test will fail silently if you request URLs that violate same-origin
access policy.
<form id="getfileform">
<input type=text id="filename" value="index.html">
<input type=button value="fetch file"
  onclick='(function () { var x; x = embed1.getfile(filename.value) })()'>
</form>
<hr>
<embed id="embed1" src="cloudfs_test.nexe" type="application/x-nacl-npapi"
 width=0 height=0>
</BODY>
</HTML>
